1. Report
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
    • Get Product By ID
    • products with inventory
    • product details with Inventory By Product ID
    • Product Variant List ID & Name
    • Variant Details By Variant ID
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
      POST
    • Purchase Item Register Report
      POST
    • Stock Summary Report
      POST
    • Stock Transfer Item Register Report
      POST
    • Consumption Production Report
      POST
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Report

Purchase Item Register Report

POST
/api/v1/report/purchase-item-register

Purchase Item Register Report#

Purpose#

Retrieve detailed item-wise purchase transaction data for a specified date range and optional filters.

Why would you use this?#

Use this API when your system needs detailed purchase information at the product level.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP
dateFromNoStart date in UTC format (ISO 8601)
dateToNoEnd date in UTC format (ISO 8601)
limitYesNumber of records to retrieve
offsetYesNumber of records to skip
branchListNoComma-separated Branch IDs
categoryIdsNoComma-separated Category IDs
subCategoryIdsNoComma-separated Sub Category IDs
brandIdsNoComma-separated Brand IDs
subBrandIdsNoComma-separated Sub Brand IDs
productIdsNoComma-separated Product IDs
productTypeNoFilter by product type
departmentIdsNoComma-separated Department IDs
contactIdNoComma-separated Supplier Contact ID
createdByIdsNoComma-separated User IDs
shippingFromDateNoShipping start date in UTC format
shippingToDateNoShipping end date in UTC format
dueFromDateNoDue start date in UTC format
dueToDateNoDue end date in UTC format

Information Returned#

Purchase Bill Information
Supplier Information
Product Information
Quantity Purchased
Cost Details
Tax Details
Discount Details
Purchase Amounts

Important Notes#

dateFrom and dateTo must be provided in UTC format (ISO 8601).
The report returns data between the specified dateFrom and dateTo range.
Minimum limit 1 and maximum can be 500.
Minimum offset 0.
All date filters should be provided in UTC format.
Multiple IDs must be passed as comma-separated values.
All filter fields except date range, limit, and offset are optional.
Use pagination for large datasets.
Each record represents a single purchased product line item.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/report/purchase-item-register' \
--header 'api-token: {{.in-api-token}}' \
--header 'Content-Type: application/json' \
--data '{
    "dateFrom": "2020-02-04T00:00:00Z",
    "dateTo": "2026-05-31T23:59:59Z",
    "branchList": "",
    "categoryIds": "",
    "brandIds": "",
    "subBrandIds": "",
    "subCategoryIds": "",
    "productIds": "",
    "productType": "",
    "departmentIds": "",
    "contactId": "5313752,5313756",
    "createdByIds": "",
    "shippingFromDate": "",
    "shippingToDate": "",
    "dueFromDate": "",
    "dueToDate": "",
    "limit": 2,
    "offset": 0
  }'
Response Response Example
200 - Example 1
{
    "status": true,
    "message": "Purchase Item Register List",
    "code": "200",
    "response": {
        "totalCount": 2685,
        "items": [
            {
                "purchaseId": 1080224,
                "billDate": "29/05/2026",
                "billNo": "BIL59",
                "voucherNo": "BIL59",
                "contactId": 5313891,
                "partyName": "Umesh",
                "address": "Rahuri",
                "gstNo": "-",
                "panNo": "-",
                "department": "FMCG",
                "category": "Beauty & Hygiene",
                "subCategory": "Face Care",
                "brand": "Glow & Handsome",
                "subBrand": "-",
                "unit": "PIECES",
                "hsn": "34013090",
                "productType": "Finished",
                "productName": "Glow & Handsome Instant Brightness Rapid Action Facewash 100 gm",
                "shortDescription": "-",
                "itemCode": "8909106009837",
                "rate": 133.12,
                "landingCost": 100.08,
                "mrp": 199.0,
                "sellingPrice": 191.0,
                "qty": 1.0,
                "freeQty": 0.0,
                "discount1": 0.0,
                "discount2": 0.0,
                "flatDiscountAmount": 48.30557677616502,
                "cessRate": 0.0,
                "cessAmount": 0.0,
                "totalAmount": 100.08,
                "taxableAmount": 84.81,
                "cgst": 7.635,
                "igst": 0.0,
                "sgst": 7.635,
                "taxRate": 18.0,
                "taxAmount": 15.27,
                "tcsAmount": 0.0,
                "tdsAmount": 0.0,
                "location": "my business",
                "totalBillAmount": 100.0,
                "createdBy": "my business"
            },
            {
                "purchaseId": 1080184,
                "billDate": "28/05/2026",
                "billNo": "BIL58",
                "voucherNo": "BIL58",
                "contactId": 5313891,
                "partyName": "Umesh",
                "address": "Rahuri",
                "gstNo": "-",
                "panNo": "-",
                "department": "FMCG",
                "category": "Beauty & Hygiene",
                "subCategory": "Face Care",
                "brand": "Glow & Handsome",
                "subBrand": "-",
                "unit": "PIECES",
                "hsn": "34013090",
                "productType": "Finished",
                "productName": "Glow & Handsome Instant Brightness Rapid Action Facewash 100 gm",
                "shortDescription": "-",
                "itemCode": "8909106009837",
                "rate": 133.12,
                "landingCost": 157.08,
                "mrp": 199.0,
                "sellingPrice": 191.0,
                "qty": 1.0,
                "freeQty": 0.0,
                "discount1": 0.0,
                "discount2": 0.0,
                "flatDiscountAmount": 0.0,
                "cessRate": 0.0,
                "cessAmount": 0.0,
                "totalAmount": 157.08,
                "taxableAmount": 133.12,
                "cgst": 11.98,
                "igst": 0.0,
                "sgst": 11.98,
                "taxRate": 18.0,
                "taxAmount": 23.96,
                "tcsAmount": 0.0,
                "tdsAmount": 0.0,
                "location": "my business",
                "totalBillAmount": 157.08,
                "createdBy": "my business"
            }
        ]
    }
}
Previous
Get Sales Item Register Data
Next
Stock Summary Report
Built with